Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 185205 - Review Request: nqc
Summary: Review Request: nqc
Keywords:
Status: CLOSED DUPLICATE of bug 203265
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: John Mahowald
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2006-03-11 19:33 UTC by Simon Perreault
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-08-20 12:58:38 UTC


Attachments (Terms of Use)

Description Simon Perreault 2006-03-11 19:33:04 UTC
Spec Name or Url: http://nomis80.org/rpms/SPECS/nqc.spec
SRPM Name or Url: http://nomis80.org/rpms/SRPMS/nqc-3.1.r4-1.src.rpm
Description:
Not Quite C is a simple language with a C-like syntax that can be used to
program Lego's RCX programmable brick (from the Mindstorms set).

Comment 1 John Mahowald 2006-03-17 17:29:40 UTC
How timely, working a bit with Mindstorms at the moment.

Doesn't build on x86_64:
compiler/Error.h:121: error: cast from 'const char*' to 'int' loses precision

Comment 2 Simon Perreault 2006-03-17 21:21:22 UTC
ExcludeArch: x86_64 
 
SRPM: http://nomis80.org/rpms/SRPMS/nqc-3.1.r4-2.src.rpm 
SPEC: http://nomis80.org/rpms/SPECS/nqc.spec 

Comment 3 Simon Perreault 2006-04-04 23:02:08 UTC
Can any reviewer approve this package please? 

Comment 4 John Mahowald 2006-04-23 20:18:22 UTC
Remember to, after creating the bugzilla entry, file a bug and make it block
FE-ExcludeArch-x64 as per the review guidelines

Good:

- rpmlint checks clean
- package meets naming guidelines
- package meets packaging guidelines
- license (MPL) OK, text in %doc, matches source
- spec file legible, in am. english
- source matches upstream
- package compiles on devel (x86) (but not on x86_64)
- no missing BR
- no unnecessary BR
- no locales
- not relocatable
- owns all directories that it creates
- no duplicate files
- permissions ok
- %clean ok
- macro use consistent
- code, not content
- no need for -docs
- nothing in %doc affects runtime
- no need for .desktop file

APPROVED


Comment 5 Rick L Vinyard Jr 2006-08-06 20:18:11 UTC
Just checking on the status of this.

Comment 6 Rick L Vinyard Jr 2006-08-12 17:54:56 UTC
I'd really like to see nqc in FE. If there's no interest or time to move this
forward, I'll offer to adopt it.

Comment 7 Simon Perreault 2006-08-12 18:52:59 UTC
Go ahead and adopt it. I've got no time now and in the foreseable future to work
on this.

Comment 8 Jason Tibbitts 2006-08-12 22:28:58 UTC
Rick, go ahead and make a new submission for your package.  You can close this
as a duplicate of the new bug.

Comment 9 Rick L Vinyard Jr 2006-08-16 03:31:32 UTC
Will do.

Comment 10 Rick L Vinyard Jr 2006-08-20 01:07:42 UTC
(In reply to comment #8)
> Rick, go ahead and make a new submission for your package.  You can close this
> as a duplicate of the new bug.

Bug #203265 is the new submission. I don't have permissions to close this bug
though; someone else will have to.

Comment 11 Simon Perreault 2006-08-20 12:58:38 UTC

*** This bug has been marked as a duplicate of 203265 ***


Note You need to log in before you can comment on or make changes to this bug.